#if !defined(AFX_DLGPENREGISTERSELECT_H__4957F3BB_0699_4385_8EDF_B138B7413858__INCLUDED_)
#define AFX_DLGPENREGISTERSELECT_H__4957F3BB_0699_4385_8EDF_B138B7413858__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// DlgPenRegisterSelect.h : _xZkqqHx_iDhHiDgCiDfPiBfL_xHqqkZx_ _xZkqqHx_iDhEiDeAiDeDiDiL_xHqqkZx_
//

#include "DlgPenRegisterSelectSub.h"	// For FD_PEN_REGISTER_HEADER_INN.
#include "DialogBase.h"		// For Baseclass.

#ifdef SUPER_CLASS
#undef SUPER_CLASS
#endif
#define SUPER_CLASS CFCDialogBase

/////////////////////////////////////////////////////////////////////////////
// CFCDlgPenRegisterSelect _xZkqqHx_iDfPiDeDiDeBiDiNiDeP_xHqqkZx_

class CFCDlgPenRegisterSelect : public SUPER_CLASS
{
protected:
typedef SUPER_CLASS BASE_CLASS;

// _xZkqqHx_iDfCiDjDiDfIiDgHiDiJiDeOiDfGiDiHiDjD_xHqqkZx_
public:
	CFCDlgPenRegisterSelect(CWnd* pParent = NULL);   // _xZkqqHx_jFfHiPiAiCmMiDfCiDjDiDfIiDgHiDiJiDeOiDfO_xHqqkZx_

// _xZkqqHx_iDfPiDeDiDeBiDiNiDeP_xHqqkZx_ _xZkqqHx_iDgGiBfLiDfO_xHqqkZx_
	//{{AFX_DATA(CFCDlgPenRegisterSelect)
	enum { IDD = IDD_COM_PEN_REGISTER_SELECT };
		// _xZkqqHx_iDiBiDiC_xHqqkZx_: ClassWizard _xZkqqHx_iCmNiClBiCmMiImKjChFiCmJiDgGiBfLiDfO_xHqqkZx_ _xZkqqHx_iDiBiDjDiDgPiCpAjCmHiJmBiClFiCnMiClHiBeC_xHqqkZx_
	//}}AFX_DATA

FD_PEN_REGISTER_HEADER_INN

// _xZkqqHx_iDeJiBfLiDgPiBfLiDiJiDeDiDgI_xHqqkZx_
	// ClassWizard _xZkqqHx_iCmNiJlMjBhKiKnGjAjEiCmMiDeJiBfLiDgPiBfLiDiJiDeDiDgIiCpAjAlGjAkMiClFiCnMiClHiBeC_xHqqkZx_
	//{{AFX_VIRTUAL(CFCDlgPenRegisterSelect)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV _xZkqqHx_iDfEiDhMiBfLiDgH_xHqqkZx_
	//}}AFX_VIRTUAL

// _xZkqqHx_iDeDiDjDiDhGiDiKiDiBiDjDiDgFiBfLiDfGiDiHiDjD_xHqqkZx_
protected:

	// _xZkqqHx_jAlGjAkMiClDiCoKiClNiDiBiDgCiDfKiBfLiDfH_xHqqkZx_ _xZkqqHx_iDhNiDgCiDhGiKnGjAjE_xHqqkZx_
	//{{AFX_MSG(CFCDlgPenRegisterSelect)
	virtual BOOL OnInitDialog();
	afx_msg void OnDestroy();
	virtual void OnOK();
	afx_msg void OnRpsBtnPenRegisterModify();
	afx_msg void OnRpsBtnPenRegisterAdd();
	afx_msg void OnRpsBtnPenRegisterDelete();
	afx_msg void OnRpsBtnImportOn();
	afx_msg void OnRpsBtnFileImport();
	afx_msg void OnRpsBtnCopyImport();
	//}}AFX_MSG
	afx_msg LRESULT OnUserMtrxSelchanged(WPARAM wParam = 0, LPARAM lParam = 0);
	afx_msg LRESULT OnUserMultictrlChanged(WPARAM wParam = 0, LPARAM lParam = 0);
	DECLARE_MESSAGE_MAP()
}; // class CFCDlgPenRegisterSelect.

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ _xZkqqHx_iCmNjBePiNhDiCmMjClMjBePiCmJjCmHiJmBiCmMjAoJiMlOiCpAjBhNjDpMiClFiCnMiClHiBeC_xHqqkZx_

#endif // !defined(AFX_DLGPENREGISTERSELECT_H__4957F3BB_0699_4385_8EDF_B138B7413858__INCLUDED_)
